SaveAlertSmtpConfig
Save or update the global SMTP configuration for email notifications
PUT
/api/v1/alerting/smtp-configOperation ID
SaveAlertSmtpConfigSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
hostStringSMTP server hostname
Example: smtp.example.com
portIntegerSMTP server port
Example: 587
encryptionStringEncryption mode: none, ssl, or starttls
Example: starttls
usernameStringSMTP authentication username
Example: alerts@example.com
passwordStringSMTP authentication password
Example: secret
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedRequest body fields accessToken, authMethodAddedResponse fields authMethodView API
